# 服务平台
版本 |  创建时间   | 作者 |  备注信息
---|---|---|---
v1.0|2022-01-20|zxfei| 接口文档

## 数据类型
类型名称|类型描述|参考样例
---|---|---
String |字符串|A、a、ab
Integer|数字类型|1、12、-1
Long|长整型数字|1、12、-1
date|时间类型,单位纳秒数字|167988745573
BigDecimal|小数类型|545.256
object|对象类型|{"name":"zhang3"}
arrays|数组类型|[{"name":"zhang3"},{"name":"zhang2"}]


## 系统服务
### 登录

**请求URL:** login/login

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户登录

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
password|String|用户密码|是|-
securityCode|String|校验码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"password":"123456",
"securityCode":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"登录成功",
"code":1,
"data":{

}
}

```

### 登出

**请求URL:** login/logout

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```


```

### 修改密码

**请求URL:** user/change/password

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 用户修改密码

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
loginName|String|用户名称|是|-
oldPwd|String|用户加密后密码|是|-
newPwd|String|用户加密后新密码|是|-

**请求样例:**
```

{
"loginName":"zhang3",
"oldPwd":"123456",
"newPwd":"5455"
}

```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```

{
"msg":"修改密码成功",
"code":1,
"data":{}
}

```



### 获取验证码

**请求URL:** securitycode/createCode

**请求方式:** GET

**内容类型:** image/gif

**简要描述:** 用户退出注销

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---

**请求样例:**
```

```
**响应参数:**



**响应消息样例:**
```

```


### 上传附件

**请求URL:** file/commonupload

**请求方式:** POST


**内容类型:** multipart/form-data

**简要描述:** 用户上传附件

**请求参数:**

参数名称|类型|备注|必填|其它
---|---|---|---|---
file|multipart|附件|是|-
prePath|String|附件存放相对路径|否|不填时候默认为/file/fileupload

**请求样例:**
```
http://127.0.0.1/file/commonupload?prePath=/file/fileupload
Content-Type: multipart/form-data; boundary=WebAppBoundary

--WebAppBoundary
Content-Disposition: form-data; name="file"; filename="1.excel"
Content-Type: multipart/form-data
```
**响应参数:**



**响应消息样例:**
```

```

## 行业目录

### 查询行业目录列表

**请求URL:** certificate/industry/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询行业目录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;parentId|Long|父级id
&emsp;&emsp;industryName|String|行业名称
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看行业目录

**请求URL:** certificate/industry/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看行业目录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/certificate/industry/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;parentId|Long|父级id
&emsp;industryName|String|行业名称
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":28,
            "parentId":447,
            "industryName":"z28x9s",
            "createUserId":4279,
            "createTime":"2022-11-04",
            "updateUserId":7800,
            "updateTime":"2022-11-04"
        }
}
```

### 保存更新行业目录

**请求URL:** certificate/industry/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新行业目录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
parentId|Long|是|父级id
industryName|String|是|行业名称
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "parentId":3139,
    "industryName":"xm07az",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;parentId|Long|父级id
&emsp;&emsp;industryName|String|行业名称
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除行业目录

**请求URL:** certificate/industry/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除行业目录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/certificate/industry/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 证照分类

### 查询证照分类列表

**请求URL:** certificate/classify/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照分类

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;classifyName|String|分类名称
&emsp;&emsp;sort|Integer|排序号
&emsp;&emsp;total|Integer|打印次数
&emsp;&emsp;showFront|Integer|是否首页展示0：否1是
&emsp;&emsp;classifyType|Integer|证照类型，1：普通，2：正副本
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照分类

**请求URL:** certificate/classify/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照分类，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/certificate/classify/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;classifyName|String|分类名称
&emsp;sort|Integer|排序号
&emsp;total|Integer|打印次数
&emsp;showFront|Integer|是否首页展示0：否1是
&emsp;classifyType|Integer|证照类型，1：普通，2：正副本
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":4157,
            "classifyName":"ot0iwl",
            "sort":3174,
            "total":7830,
            "showFront":3789,
            "classifyType":898,
            "createUserId":4085,
            "createTime":"2022-11-04",
            "updateUserId":5493,
            "updateTime":"2022-11-04"
        }
}
```

### 保存更新证照分类

**请求URL:** certificate/classify/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照分类：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
classifyName|String|是|分类名称
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "classifyName":"nkbgui",
    "sort":9446,
    "total":386,
    "showFront":489,
    "classifyType":7466,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;classifyName|String|分类名称
&emsp;&emsp;sort|Integer|排序号
&emsp;&emsp;total|Integer|打印次数
&emsp;&emsp;showFront|Integer|是否首页展示0：否1是
&emsp;&emsp;classifyType|Integer|证照类型，1：普通，2：正副本
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照分类

**请求URL:** certificate/classify/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照分类

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/certificate/classify/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 证照目录

### 查询证照目录列表

**请求URL:** certificate/catalog/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照目录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;catalogCode|String|目录编号
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人；2：法人；3：自然人，法人
&emsp;&emsp;industryId|Long|所属行业
&emsp;&emsp;classifyId|Long|所属分类
&emsp;&emsp;transverse|Integer|横向尺寸(单位mm)
&emsp;&emsp;portrait|Integer|纵向尺寸(单位mm)
&emsp;&emsp;inspect|Integer|是否需要年检，0：否1：是
&emsp;&emsp;templateName|String|证照模板文件名称
&emsp;&emsp;templateUrl|String|证照模板文件地址
&emsp;&emsp;formContent|String|证照模板表单内容
&emsp;&emsp;exampleUrl|String|证照示例图地址
&emsp;&emsp;status|Integer|证照状态，0：禁用1：启用
&emsp;&emsp;printerName|String|打印机名称
&emsp;&emsp;printerIp|String|打印机网络地址
&emsp;&emsp;paperSource|String|打印机纸盒
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;deviceId|Long|打印设备Id
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照目录

**请求URL:** certificate/catalog/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照目录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/certificate/catalog/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;catalogName|String|目录名称
&emsp;catalogCode|String|目录编号
&emsp;holderType|Integer|持有者类型，1：自然人；2：法人；3：自然人，法人
&emsp;industryId|Long|所属行业
&emsp;classifyId|Long|所属分类
&emsp;transverse|Integer|横向尺寸(单位mm)
&emsp;portrait|Integer|纵向尺寸(单位mm)
&emsp;inspect|Integer|是否需要年检，0：否1：是
&emsp;templateName|String|证照模板文件名称
&emsp;templateUrl|String|证照模板文件地址
&emsp;formContent|String|证照模板表单内容
&emsp;exampleUrl|String|证照示例图地址
&emsp;status|Integer|证照状态，0：禁用1：启用
&emsp;printerName|String|打印机名称
&emsp;printerIp|String|打印机网络地址
&emsp;paperSource|String|打印机纸盒
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
&emsp;deviceId|Long|打印设备Id
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7288,
            "catalogName":"rb9g5x",
            "catalogCode":"pvoi9x",
            "holderType":5814,
            "industryId":1111,
            "classifyId":6403,
            "transverse":1061,
            "portrait":1544,
            "inspect":1023,
            "templateName":"kjf6df",
            "templateUrl":"jt16cv",
            "formContent":"1ksurq",
            "exampleUrl":"0nn1np",
            "status":2653,
            "printerName":"p6nl6t",
            "printerIp":"jb0ogn",
            "paperSource":"z22j18",
            "createUserId":5889,
            "createTime":"2022-11-04",
            "updateUserId":7711,
            "updateTime":"2022-11-04",
            "deviceId":4920
        }
}
```

### 保存更新证照目录

**请求URL:** certificate/catalog/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照目录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogName|String|是|目录名称
catalogCode|String|是|目录编号
holderType|Integer|是|持有者类型，1：自然人；2：法人；3：自然人，法人
industryId|Long|是|所属行业
classifyId|Long|是|所属分类
transverse|Integer|是|横向尺寸(单位mm)
portrait|Integer|是|纵向尺寸(单位mm)
inspect|Integer|是|是否需要年检，0：否1：是
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "catalogName":"visn3w",
    "catalogCode":"te92ps",
    "holderType":4057,
    "industryId":9158,
    "classifyId":4779,
    "transverse":5601,
    "portrait":9677,
    "inspect":6666,
    "templateName":"nyjbzi",
    "templateUrl":"dahik4",
    "formContent":"xxfsti",
    "exampleUrl":"l4bw9a",
    "status":9985,
    "printerName":"581i8m",
    "printerIp":"ai7c5u",
    "paperSource":"rrjszg",
    "deviceId":3369
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;catalogCode|String|目录编号
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人；2：法人；3：自然人，法人
&emsp;&emsp;industryId|Long|所属行业
&emsp;&emsp;classifyId|Long|所属分类
&emsp;&emsp;transverse|Integer|横向尺寸(单位mm)
&emsp;&emsp;portrait|Integer|纵向尺寸(单位mm)
&emsp;&emsp;inspect|Integer|是否需要年检，0：否1：是
&emsp;&emsp;templateName|String|证照模板文件名称
&emsp;&emsp;templateUrl|String|证照模板文件地址
&emsp;&emsp;formContent|String|证照模板表单内容
&emsp;&emsp;exampleUrl|String|证照示例图地址
&emsp;&emsp;status|Integer|证照状态，0：禁用1：启用
&emsp;&emsp;printerName|String|打印机名称
&emsp;&emsp;printerIp|String|打印机网络地址
&emsp;&emsp;paperSource|String|打印机纸盒
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
&emsp;&emsp;deviceId|Long|打印设备Id

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照目录

**请求URL:** certificate/catalog/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照目录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/certificate/catalog/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 证照柜设备

### 查询证照柜设备列表

**请求URL:** device/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照柜设备

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceType|Integer|设备类型1证照柜
&emsp;&emsp;deviceMac|String|Mac地址
&emsp;&emsp;deviceFirmname|String|设备厂商
&emsp;&emsp;ip|String|设备IP地址
&emsp;&emsp;port|String|端口号
&emsp;&emsp;resolution|String|设备分辨率
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;telephone|String|负责人电话
&emsp;&emsp;longitude|String|设备经度
&emsp;&emsp;latitude|String|设备纬度
&emsp;&emsp;building|Integer|所在楼宇
&emsp;&emsp;floor|Integer|所在楼层
&emsp;&emsp;managePWD|String|管理员密码
&emsp;&emsp;remark|String|备注
&emsp;&emsp;status|Integer|设备状态，0：未激活，1：离线:2：在线
&emsp;&emsp;enabled|Integer|启停状态，0：停用,1：启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照柜设备

**请求URL:** device/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照柜设备，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/device/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;deviceName|String|设备名称
&emsp;deviceCode|String|设备编码
&emsp;deviceType|Integer|设备类型1证照柜
&emsp;deviceMac|String|Mac地址
&emsp;deviceFirmname|String|设备厂商
&emsp;ip|String|设备IP地址
&emsp;port|String|端口号
&emsp;resolution|String|设备分辨率
&emsp;leadingOfficial|String|负责人
&emsp;telephone|String|负责人电话
&emsp;longitude|String|设备经度
&emsp;latitude|String|设备纬度
&emsp;building|Integer|所在楼宇
&emsp;floor|Integer|所在楼层
&emsp;managePWD|String|管理员密码
&emsp;remark|String|备注
&emsp;status|Integer|设备状态，0：未激活，1：离线:2：在线
&emsp;enabled|Integer|启停状态，0：停用,1：启用
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":135,
            "deviceName":"7us91b",
            "deviceCode":"rt6fsz",
            "deviceType":712,
            "deviceMac":"js6fgt",
            "deviceFirmname":"hlw3p5",
            "ip":"e5z6ui",
            "port":"giwloi",
            "resolution":"0wc6ga",
            "leadingOfficial":"hfsj4j",
            "telephone":"agsdk3",
            "longitude":"08o1it",
            "latitude":"vyljha",
            "building":4530,
            "floor":1587,
            "managePWD":"o4imor",
            "remark":"c5gdn0",
            "status":8114,
            "enabled":910,
            "createUserId":5548,
            "createTime":"2022-11-04",
            "updateUserId":6196,
            "updateTime":"2022-11-04"
        }
}
```

### 保存更新证照柜设备

**请求URL:** device/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照柜设备：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
deviceName|String|是|设备名称
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "deviceName":"kmu1dd",
    "deviceCode":"fwk1xz",
    "deviceType":88,
    "deviceMac":"xb3ow5",
    "deviceFirmname":"bpjlqv",
    "ip":"isn1vq",
    "port":"jltnku",
    "resolution":"dfr8lm",
    "leadingOfficial":"ohtnif",
    "telephone":"7zb5eb",
    "longitude":"if74q1",
    "latitude":"kaza8w",
    "building":8833,
    "floor":846,
    "managePWD":"2u9e6v",
    "remark":"73pnvx",
    "status":3422,
    "enabled":8225,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;deviceCode|String|设备编码
&emsp;&emsp;deviceType|Integer|设备类型1证照柜
&emsp;&emsp;deviceMac|String|Mac地址
&emsp;&emsp;deviceFirmname|String|设备厂商
&emsp;&emsp;ip|String|设备IP地址
&emsp;&emsp;port|String|端口号
&emsp;&emsp;resolution|String|设备分辨率
&emsp;&emsp;leadingOfficial|String|负责人
&emsp;&emsp;telephone|String|负责人电话
&emsp;&emsp;longitude|String|设备经度
&emsp;&emsp;latitude|String|设备纬度
&emsp;&emsp;building|Integer|所在楼宇
&emsp;&emsp;floor|Integer|所在楼层
&emsp;&emsp;managePWD|String|管理员密码
&emsp;&emsp;remark|String|备注
&emsp;&emsp;status|Integer|设备状态，0：未激活，1：离线:2：在线
&emsp;&emsp;enabled|Integer|启停状态，0：停用,1：启用
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照柜设备

**请求URL:** device/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照柜设备

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/device/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 证照柜设备

### 查询证照柜设备列表

**请求URL:** device/module/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照柜设备

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deviceId|Long|设备Id
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;moduleName|String|模块名称
&emsp;&emsp;productName|String|产品名称
&emsp;&emsp;networkAddress|String|网络地址
&emsp;&emsp;cartonType|String|纸盒
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照柜设备

**请求URL:** device/module/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照柜设备，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/device/module/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;deviceId|Long|设备Id
&emsp;deviceName|String|设备名称
&emsp;moduleName|String|模块名称
&emsp;productName|String|产品名称
&emsp;networkAddress|String|网络地址
&emsp;cartonType|String|纸盒
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9354,
            "deviceId":6091,
            "deviceName":"zvrpwm",
            "moduleName":"dpm80o",
            "productName":"kashg5",
            "networkAddress":"joawtq",
            "cartonType":"yipf04",
            "createUserId":9015,
            "createTime":"2022-11-04",
            "updateUserId":2663,
            "updateTime":"2022-11-04"
        }
}
```

### 保存更新证照柜设备

**请求URL:** device/module/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照柜设备：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
deviceName|String|是|设备名称
moduleName|String|是|模块名称
productName|String|是|产品名称
networkAddress|String|是|网络地址
cartonType|String|是|纸盒
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "deviceId":7615,
    "deviceName":"zbwoqg",
    "moduleName":"xe97g6",
    "productName":"76e90x",
    "networkAddress":"mu9r45",
    "cartonType":"gqs0u5",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;deviceId|Long|设备Id
&emsp;&emsp;deviceName|String|设备名称
&emsp;&emsp;moduleName|String|模块名称
&emsp;&emsp;productName|String|产品名称
&emsp;&emsp;networkAddress|String|网络地址
&emsp;&emsp;cartonType|String|纸盒
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照柜设备

**请求URL:** device/module/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照柜设备

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/device/module/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 证照申请

### 查询证照申请列表

**请求URL:** record/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照申请

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogId|Long|证照目录ID
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;catalogCode|String|目录编号
&emsp;&emsp;recordStatus|Integer|档案状态
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照申请

**请求URL:** record/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照申请，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/record/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;catalogId|Long|证照目录ID
&emsp;catalogName|String|目录名称
&emsp;catalogCode|String|目录编号
&emsp;recordStatus|Integer|档案状态
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":173,
            "catalogId":3710,
            "catalogName":"uiufi9",
            "catalogCode":"rp723v",
            "recordStatus":7804,
            "createUserId":6469,
            "createTime":"2022-11-04",
            "updateUserId":9812,
            "updateTime":"2022-11-04"
        }
}
```

### 保存更新证照申请

**请求URL:** record/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照申请：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogName|String|是|目录名称
catalogCode|String|是|目录编号
recordStatus|Integer|是|档案状态
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "catalogId":5208,
    "catalogName":"azrqck",
    "catalogCode":"t32v0y",
    "recordStatus":1385,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogId|Long|证照目录ID
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;catalogCode|String|目录编号
&emsp;&emsp;recordStatus|Integer|档案状态
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照申请

**请求URL:** record/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照申请

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/record/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 证照申请

### 查询证照申请列表

**请求URL:** apply/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照申请

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;recordId|Long|证照档案ID
&emsp;&emsp;catalogId|Long|证照目录ID
&emsp;&emsp;catalogCode|String|证照目录编号
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;certificateCode|String|证件编号
&emsp;&emsp;certificateName|String|证件名称
&emsp;&emsp;issueTime|Date|颁发时间
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;&emsp;holderName|String|持有者名称
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;validityStart|Date|有效期起始
&emsp;&emsp;validityEnd|Date|有效期截止
&emsp;&emsp;privateID|String|专网ID
&emsp;&emsp;certificateUrl|String|证件附件地址
&emsp;&emsp;previewUrl|String|证件预览地址
&emsp;&emsp;formContent|String|证照模板正本表单内容
&emsp;&emsp;formTemplate|String|证照模板正本表单内容
&emsp;&emsp;generateStatus|Integer|生成状态1未生成2已生成
&emsp;&emsp;operType|Integer|档案操作类型1新增2变更
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照申请

**请求URL:** apply/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照申请，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/apply/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;recordId|Long|证照档案ID
&emsp;catalogId|Long|证照目录ID
&emsp;catalogCode|String|证照目录编号
&emsp;catalogName|String|目录名称
&emsp;certificateCode|String|证件编号
&emsp;certificateName|String|证件名称
&emsp;issueTime|Date|颁发时间
&emsp;pickerName|String|取件人姓名
&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;holderName|String|持有者名称
&emsp;holderIDCardNo|String|持有者证件号码
&emsp;enterpriseName|String|企业名称
&emsp;validityStart|Date|有效期起始
&emsp;validityEnd|Date|有效期截止
&emsp;privateID|String|专网ID
&emsp;certificateUrl|String|证件附件地址
&emsp;previewUrl|String|证件预览地址
&emsp;formContent|String|证照模板正本表单内容
&emsp;formTemplate|String|证照模板正本表单内容
&emsp;generateStatus|Integer|生成状态1未生成2已生成
&emsp;operType|Integer|档案操作类型1新增2变更
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9435,
            "recordId":7178,
            "catalogId":4524,
            "catalogCode":"im7ssk",
            "catalogName":"19a1m4",
            "certificateCode":"nad0pe",
            "certificateName":"e3ts5u",
            "issueTime":"2022-11-04",
            "pickerName":"e1d9sy",
            "pickerIDCardNo":"lhd5cw",
            "holderType":7149,
            "holderIdType":6225,
            "holderName":"im5i03",
            "holderIDCardNo":"yzqxyc",
            "enterpriseName":"cc5c6n",
            "validityStart":"2022-11-04",
            "validityEnd":"2022-11-04",
            "privateID":"w32dw3",
            "certificateUrl":"3tfowk",
            "previewUrl":"x8l3ep",
            "formContent":"v2n9z6",
            "formTemplate":"ewm6rt",
            "generateStatus":4044,
            "operType":5743,
            "createUserId":8960,
            "createTime":"2022-11-04",
            "updateUserId":4410,
            "updateTime":"2022-11-04"
        }
}
```

### 保存更新证照申请

**请求URL:** apply/log/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照申请：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogCode|String|是|证照目录编号
catalogName|String|是|目录名称
holderType|Integer|是|持有者类型，1：自然人，2：法人，3：自然人法人
holderIdType|Integer|是|持有者证件类型，1：身份证，2：组织机构代码等
holderName|String|是|持有者名称
enterpriseName|String|是|企业名称
formContent|String|是|证照模板正本表单内容
formTemplate|String|是|证照模板正本表单内容
generateStatus|Integer|是|生成状态1未生成2已生成
operType|Integer|是|档案操作类型1新增2变更
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "recordId":5270,
    "catalogId":7899,
    "catalogCode":"fknt80",
    "catalogName":"2vwx00",
    "certificateCode":"o0rt3c",
    "certificateName":"gxog9w",
    "issueTime":"2022-11-04",
    "pickerName":"evn5gw",
    "pickerIDCardNo":"uj89s3",
    "holderType":6099,
    "holderIdType":2142,
    "holderName":"1mbv96",
    "holderIDCardNo":"063nj1",
    "enterpriseName":"yl41sc",
    "validityStart":"2022-11-04",
    "validityEnd":"2022-11-04",
    "privateID":"8d50xu",
    "certificateUrl":"uuksya",
    "previewUrl":"dhm3u9",
    "formContent":"y9gz4j",
    "formTemplate":"vqwf3r",
    "generateStatus":6162,
    "operType":2446,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;recordId|Long|证照档案ID
&emsp;&emsp;catalogId|Long|证照目录ID
&emsp;&emsp;catalogCode|String|证照目录编号
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;certificateCode|String|证件编号
&emsp;&emsp;certificateName|String|证件名称
&emsp;&emsp;issueTime|Date|颁发时间
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;&emsp;holderName|String|持有者名称
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;validityStart|Date|有效期起始
&emsp;&emsp;validityEnd|Date|有效期截止
&emsp;&emsp;privateID|String|专网ID
&emsp;&emsp;certificateUrl|String|证件附件地址
&emsp;&emsp;previewUrl|String|证件预览地址
&emsp;&emsp;formContent|String|证照模板正本表单内容
&emsp;&emsp;formTemplate|String|证照模板正本表单内容
&emsp;&emsp;generateStatus|Integer|生成状态1未生成2已生成
&emsp;&emsp;operType|Integer|档案操作类型1新增2变更
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照申请

**请求URL:** apply/log/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照申请

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/apply/log/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

### 预览正本

**请求URL:** apply/log/preview/original

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 预览正本

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogId|Long|否|目录Id
certificateCode|String|是|证件编号
certificateName|String|是|证件名称
issueTime|Date|是|颁发时间
pickerName|String|是|取件人姓名
pickerIDCardNo|String|是|取件人证件号码
holderType|Integer|是|持有者类型，1：自然人，2：法人，3：自然人法人
holderIdType|Integer|是|持有者证件类型，1：身份证，2：组织机构代码等
holderName|String|是|持有者名称
holderIDCardNo|String|是|持有者证件号码
enterpriseName|String|是|企业名称
validityStart|Date|是|有效期起始
validityEnd|Date|是|有效期截止
privateID|String|是|专网ID
formContent|String|是|证照模板正本表单内容

**请求样例:**
```
{
    "catalogId": 1,
    "certificateCode": "cxuyh4",
    "certificateName": "卫生许可证",
    "issueTime": "2022-10-14 12:11:11",
    "pickerName": "张三",
    "pickerIDCardNo": "12345678",
    "holderType": 1,
    "holderIdType": 1,
    "holderName": "张三",
    "holderIDCardNo": "12334569086765",
    "enterpriseName": "成都壹糖文化传播有限公司",
    "validityStart": "2022-10-14 12:11:11",
    "validityEnd": "2022-10-14 12:11:11",
    "privateID": "f45vg6",
    "formContent": "{'i_1_卫':'川','i_2_字':'2022', 'i_3_号':'10','i_4_单位名称':'成都壹糖文化传播有限公司','i_5_法定代表人':'廖至敬','i_6_地址':'成都市武侯区晋吉南路98号','i_7_许可项目':'奶油蛋糕、生日蛋糕、水果蛋糕、奶茶、鲜切水果','i_8_年始':'2021','i_9_月始':'01','i_10_日始':'01','i_11_年止':'2023','i_12_月止':'12','i_13_日止':'31','i_14_年':'2020','i_15_月':'12','i_16_日':'30'}"   
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogId|Long|目录ID
&emsp;&emsp;certificateCode|String|证件编号
&emsp;&emsp;certificateName|String|证件名称
&emsp;&emsp;issueTime|Date|颁发时间
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;&emsp;holderName|String|持有者名称
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;validityStart|Date|有效期起始
&emsp;&emsp;validityEnd|Date|有效期截止
&emsp;&emsp;privateID|String|专网ID
&emsp;&emsp;certificateUrl|String|证件附件地址
&emsp;&emsp;previewUrl|String|证件预览地址
&emsp;&emsp;formContent|String|证照模板正本表单内容
&emsp;&emsp;formTemplate|String|证照模板正本表单内容
&emsp;&emsp;generateStatus|Integer|生成状态1未生成2已生成
&emsp;&emsp;operType|Integer|档案操作类型1新增2变更
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"生成成功",
    "code":1,
    "data":{"preview":"preview/1234.jpg"}
}

```

### 生成正本

**请求URL:** apply/log/generate/original

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 预览正本

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogId|Long|否|目录Id
certificateCode|String|是|证件编号
certificateName|String|是|证件名称
issueTime|Date|是|颁发时间
pickerName|String|是|取件人姓名
pickerIDCardNo|String|是|取件人证件号码
holderType|Integer|是|持有者类型，1：自然人，2：法人，3：自然人法人
holderIdType|Integer|是|持有者证件类型，1：身份证，2：组织机构代码等
holderName|String|是|持有者名称
holderIDCardNo|String|是|持有者证件号码
enterpriseName|String|是|企业名称
validityStart|Date|是|有效期起始
validityEnd|Date|是|有效期截止
privateID|String|是|专网ID
formContent|String|是|证照模板正本表单内容

**请求样例:**
```
{
    "catalogId": 1,
    "certificateCode": "cxuyh4",
    "certificateName": "卫生许可证",
    "issueTime": "2022-10-14 12:11:11",
    "pickerName": "张三",
    "pickerIDCardNo": "12345678",
    "holderType": 1,
    "holderIdType": 1,
    "holderName": "张三",
    "holderIDCardNo": "12334569086765",
    "enterpriseName": "成都壹糖文化传播有限公司",
    "validityStart": "2022-10-14 12:11:11",
    "validityEnd": "2022-10-14 12:11:11",
    "privateID": "f45vg6",
    "formContent": "{'i_1_卫':'川','i_2_字':'2022', 'i_3_号':'10','i_4_单位名称':'成都壹糖文化传播有限公司','i_5_法定代表人':'廖至敬','i_6_地址':'成都市武侯区晋吉南路98号','i_7_许可项目':'奶油蛋糕、生日蛋糕、水果蛋糕、奶茶、鲜切水果','i_8_年始':'2021','i_9_月始':'01','i_10_日始':'01','i_11_年止':'2023','i_12_月止':'12','i_13_日止':'31','i_14_年':'2020','i_15_月':'12','i_16_日':'30'}"   
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogId|Long|目录ID
&emsp;&emsp;certificateCode|String|证件编号
&emsp;&emsp;certificateName|String|证件名称
&emsp;&emsp;issueTime|Date|颁发时间
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;&emsp;holderName|String|持有者名称
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;validityStart|Date|有效期起始
&emsp;&emsp;validityEnd|Date|有效期截止
&emsp;&emsp;privateID|String|专网ID
&emsp;&emsp;certificateUrl|String|证件附件地址
&emsp;&emsp;previewUrl|String|证件预览地址
&emsp;&emsp;formContent|String|证照模板正本表单内容
&emsp;&emsp;formTemplate|String|证照模板正本表单内容
&emsp;&emsp;generateStatus|Integer|生成状态1未生成2已生成
&emsp;&emsp;operType|Integer|档案操作类型1新增2变更
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"生成成功",
    "code":1,
    "data":{"preview":"preview/1234.jpg"}
}

```

### 查询证照申请档案信息

**请求URL:** apply/log/record

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照申请档案信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|主键

**请求样例:**
```
  {
        "id":1
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|array|结果集列表
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;recordId|Long|证照档案ID
&emsp;&emsp;catalogId|Long|证照目录ID
&emsp;&emsp;catalogCode|String|证照目录编号
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;certificateCode|String|证件编号
&emsp;&emsp;certificateName|String|证件名称
&emsp;&emsp;issueTime|Date|颁发时间
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;holderType|Integer|持有者类型，1：自然人，2：法人，3：自然人法人
&emsp;&emsp;holderIdType|Integer|持有者证件类型，1：身份证，2：组织机构代码等
&emsp;&emsp;holderName|String|持有者名称
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;validityStart|Date|有效期起始
&emsp;&emsp;validityEnd|Date|有效期截止
&emsp;&emsp;privateID|String|专网ID
&emsp;&emsp;certificateUrl|String|证件附件地址
&emsp;&emsp;previewUrl|String|证件预览地址
&emsp;&emsp;formContent|String|证照模板正本表单内容
&emsp;&emsp;formTemplate|String|证照模板正本表单内容
&emsp;&emsp;generateStatus|Integer|生成状态1未生成2已生成
&emsp;&emsp;operType|Integer|档案操作类型1新增2变更
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

## 证照打印记录

### 查询证照打印记录列表

**请求URL:** print/wait/queue/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照打印记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;recordId|Long|证照档案ID
&emsp;&emsp;applyId|Long|申请ID
&emsp;&emsp;catalogId|Long|证照目录ID
&emsp;&emsp;catalogCode|String|证照目录编号
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;certificateName|String|证照名称
&emsp;&emsp;certificateCode|String|证照编号
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;holderName|String|持有者姓名
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;previewUrl|String|证件预览地址
&emsp;&emsp;certificateUrl|String|证件附件地址
&emsp;&emsp;printStatus|Integer|是否完成打印0否1是
&emsp;&emsp;total|Integer|允许打印次数
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照打印记录

**请求URL:** print/wait/queue/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照打印记录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/print/wait/queue/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;recordId|Long|证照档案ID
&emsp;applyId|Long|申请ID
&emsp;catalogId|Long|证照目录ID
&emsp;catalogCode|String|证照目录编号
&emsp;catalogName|String|目录名称
&emsp;certificateName|String|证照名称
&emsp;certificateCode|String|证照编号
&emsp;enterpriseName|String|企业名称
&emsp;holderName|String|持有者姓名
&emsp;holderIDCardNo|String|持有者证件号码
&emsp;pickerName|String|取件人姓名
&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;previewUrl|String|证件预览地址
&emsp;certificateUrl|String|证件附件地址
&emsp;printStatus|Integer|是否完成打印0否1是
&emsp;total|Integer|允许打印次数
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9244,
            "recordId":2826,
            "applyId":4280,
            "catalogId":47,
            "catalogCode":"5xfe43",
            "catalogName":"gf0a47",
            "certificateName":"tmtp8i",
            "certificateCode":"7kvgcr",
            "enterpriseName":"qwkgkw",
            "holderName":"61h3zf",
            "holderIDCardNo":"0ts14s",
            "pickerName":"p10esg",
            "pickerIDCardNo":"4blbld",
            "previewUrl":"lwzwxw",
            "certificateUrl":"19kaj9",
            "printStatus":1757,
            "total":4230,
            "createUserId":6013,
            "createTime":"2022-11-04",
            "updateUserId":8962,
            "updateTime":"2022-11-04"
        }
}
```

### 保存更新证照打印记录

**请求URL:** print/wait/queue/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照打印记录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogCode|String|是|证照目录编号
catalogName|String|是|目录名称
certificateName|String|是|证照名称
certificateCode|String|是|证照编号
enterpriseName|String|是|企业名称
holderName|String|是|持有者姓名
printStatus|Integer|是|是否完成打印0否1是
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "recordId":730,
    "applyId":7341,
    "catalogId":949,
    "catalogCode":"64qeeq",
    "catalogName":"perv46",
    "certificateName":"9opeoi",
    "certificateCode":"m9mjel",
    "enterpriseName":"42bdgb",
    "holderName":"6rphd3",
    "holderIDCardNo":"svtv72",
    "pickerName":"236ir0",
    "pickerIDCardNo":"f88vfw",
    "previewUrl":"cqe7kj",
    "certificateUrl":"yk4o61",
    "printStatus":4012,
    "total":9343,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;recordId|Long|证照档案ID
&emsp;&emsp;applyId|Long|申请ID
&emsp;&emsp;catalogId|Long|证照目录ID
&emsp;&emsp;catalogCode|String|证照目录编号
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;certificateName|String|证照名称
&emsp;&emsp;certificateCode|String|证照编号
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;holderName|String|持有者姓名
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;previewUrl|String|证件预览地址
&emsp;&emsp;certificateUrl|String|证件附件地址
&emsp;&emsp;printStatus|Integer|是否完成打印0否1是
&emsp;&emsp;total|Integer|允许打印次数
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照打印记录

**请求URL:** print/wait/queue/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照打印记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/print/wait/queue/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 证照持有

### 查询证照持有列表

**请求URL:** retain/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照持有

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;recordId|Long|证照档案ID
&emsp;&emsp;catalogId|Long|证照目录ID
&emsp;&emsp;catalogCode|String|证照目录编号
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;certificateName|String|证照名称
&emsp;&emsp;certificateCode|String|证照编号
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;holderName|String|持有者姓名
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;certificateStatus|Integer|证照状态，1正常2注销
&emsp;&emsp;certificateUrl|String|证件附件地址
&emsp;&emsp;previewUrl|String|证件预览地址
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照持有

**请求URL:** retain/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照持有，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/retain/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;recordId|Long|证照档案ID
&emsp;catalogId|Long|证照目录ID
&emsp;catalogCode|String|证照目录编号
&emsp;catalogName|String|目录名称
&emsp;certificateName|String|证照名称
&emsp;certificateCode|String|证照编号
&emsp;enterpriseName|String|企业名称
&emsp;holderName|String|持有者姓名
&emsp;holderIDCardNo|String|持有者证件号码
&emsp;certificateStatus|Integer|证照状态，1正常2注销
&emsp;certificateUrl|String|证件附件地址
&emsp;previewUrl|String|证件预览地址
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":7822,
            "recordId":1762,
            "catalogId":1555,
            "catalogCode":"tm10d8",
            "catalogName":"xnonzc",
            "certificateName":"b3tqgl",
            "certificateCode":"v4dq5u",
            "enterpriseName":"xfig50",
            "holderName":"itga4d",
            "holderIDCardNo":"aggjto",
            "certificateStatus":9813,
            "certificateUrl":"qyd161",
            "previewUrl":"n64c14",
            "createUserId":187,
            "createTime":"2022-11-04",
            "updateUserId":1377,
            "updateTime":"2022-11-04"
        }
}
```

### 保存更新证照持有

**请求URL:** retain/log/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照持有：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogCode|String|是|证照目录编号
catalogName|String|是|目录名称
certificateName|String|是|证照名称
certificateCode|String|是|证照编号
enterpriseName|String|是|企业名称
holderName|String|是|持有者姓名
certificateStatus|Integer|是|证照状态，1正常2注销
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "recordId":6512,
    "catalogId":3059,
    "catalogCode":"bgbez0",
    "catalogName":"kdceri",
    "certificateName":"fbmbi2",
    "certificateCode":"3u5bc2",
    "enterpriseName":"59jn8w",
    "holderName":"kq28mr",
    "holderIDCardNo":"kca46i",
    "certificateStatus":8320,
    "certificateUrl":"w8d7nj",
    "previewUrl":"aj6cjj",
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;recordId|Long|证照档案ID
&emsp;&emsp;catalogId|Long|证照目录ID
&emsp;&emsp;catalogCode|String|证照目录编号
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;certificateName|String|证照名称
&emsp;&emsp;certificateCode|String|证照编号
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;holderName|String|持有者姓名
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;certificateStatus|Integer|证照状态，1正常2注销
&emsp;&emsp;certificateUrl|String|证件附件地址
&emsp;&emsp;previewUrl|String|证件预览地址
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照持有

**请求URL:** retain/log/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照持有

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/retain/log/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
## 证照打印记录

### 查询证照打印记录列表

**请求URL:** print/log/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询证照打印记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录

**请求样例:**
```
  {
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogId|Long|证照目录ID
&emsp;&emsp;catalogCode|String|证照目录编号
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;certificateName|String|证照名称
&emsp;&emsp;certificateCode|String|证照编号
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;holderName|String|持有者姓名
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;printStatus|Integer|打印状态1打印成功2失败
&emsp;&emsp;printDate|Date|打印时间
&emsp;&emsp;statusRemark|String|打印结果描述
&emsp;&emsp;deviceId|Long|打印设备
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看证照打印记录

**请求URL:** print/log/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看证照打印记录，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|Long|是|ID

**请求样例:**
```
    http://localhost/print/log/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|序号，主键，自增长
&emsp;catalogId|Long|证照目录ID
&emsp;catalogCode|String|证照目录编号
&emsp;catalogName|String|目录名称
&emsp;certificateName|String|证照名称
&emsp;certificateCode|String|证照编号
&emsp;enterpriseName|String|企业名称
&emsp;holderName|String|持有者姓名
&emsp;holderIDCardNo|String|持有者证件号码
&emsp;pickerName|String|取件人姓名
&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;printStatus|Integer|打印状态1打印成功2失败
&emsp;printDate|Date|打印时间
&emsp;statusRemark|String|打印结果描述
&emsp;deviceId|Long|打印设备
&emsp;createUserId|Long|创建用户
&emsp;createTime|Date|创建时间
&emsp;updateUserId|Long|更新用户
&emsp;updateTime|Date|更新时间
dict|object|字典对象

**响应消息样例:**
```
{
    "code": 1,
    "data": {
            "id":9267,
            "catalogId":8167,
            "catalogCode":"hbv0ug",
            "catalogName":"x48ev3",
            "certificateName":"v3vjth",
            "certificateCode":"locyby",
            "enterpriseName":"pjpgd1",
            "holderName":"43dhhl",
            "holderIDCardNo":"oc33xx",
            "pickerName":"0mb1ie",
            "pickerIDCardNo":"zvtkj2",
            "printStatus":1034,
            "printDate":"2022-11-04",
            "statusRemark":"67sfnv",
            "deviceId":1715,
            "createUserId":3016,
            "createTime":"2022-11-04",
            "updateUserId":5538,
            "updateTime":"2022-11-04"
        }
}
```

### 保存更新证照打印记录

**请求URL:** print/log/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新证照打印记录：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
id|Long|否|序号，主键，自增长
catalogCode|String|是|证照目录编号
catalogName|String|是|目录名称
certificateName|String|是|证照名称
certificateCode|String|是|证照编号
enterpriseName|String|是|企业名称
holderName|String|是|持有者姓名
printStatus|Integer|是|打印状态1打印成功2失败
printDate|Date|是|打印时间
createUserId|Long|否|创建用户
createTime|Date|否|创建时间
updateUserId|Long|否|更新用户
updateTime|Date|否|更新时间

**请求样例:**
```
{
    "catalogId":9927,
    "catalogCode":"65nqlh",
    "catalogName":"vocybl",
    "certificateName":"uzvvz5",
    "certificateCode":"31xcx1",
    "enterpriseName":"o1x0bd",
    "holderName":"bfgvmy",
    "holderIDCardNo":"6ext45",
    "pickerName":"gpde69",
    "pickerIDCardNo":"8rq5u3",
    "printStatus":8937,
    "printDate":"2022-11-04",
    "statusRemark":"14u5eh",
    "deviceId":4314,
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
&emsp;&emsp;id|Long|序号，主键，自增长
&emsp;&emsp;catalogId|Long|证照目录ID
&emsp;&emsp;catalogCode|String|证照目录编号
&emsp;&emsp;catalogName|String|目录名称
&emsp;&emsp;certificateName|String|证照名称
&emsp;&emsp;certificateCode|String|证照编号
&emsp;&emsp;enterpriseName|String|企业名称
&emsp;&emsp;holderName|String|持有者姓名
&emsp;&emsp;holderIDCardNo|String|持有者证件号码
&emsp;&emsp;pickerName|String|取件人姓名
&emsp;&emsp;pickerIDCardNo|String|取件人证件号码
&emsp;&emsp;printStatus|Integer|打印状态1打印成功2失败
&emsp;&emsp;printDate|Date|打印时间
&emsp;&emsp;statusRemark|String|打印结果描述
&emsp;&emsp;deviceId|Long|打印设备
&emsp;&emsp;createUserId|Long|创建用户
&emsp;&emsp;createTime|Date|创建时间
&emsp;&emsp;updateUserId|Long|更新用户
&emsp;&emsp;updateTime|Date|更新时间

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除证照打印记录

**请求URL:** print/log/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除证照打印记录

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
id|String|是|数组

**请求样例:**
```
    http://localhost:8080/print/log/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-

**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```

## 证照打印设置

### 查询打印设置信息

**请求URL:** print/setting/info

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询打印设置信息

**请求样例:**
```
  {
        
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;hideList|array|待展示目录
&emsp;showList|array|展示目录
&emsp;printMax|Integer|允许打印最高次数
dict|object|字典对象

**响应消息样例:**
```
{
    "data": {
        "hideList": [],
        "showList": [],
        "printMax": 0
    },
    "code": 1,
    "msg": "打印设置成功",
    "dict": null
}
```

### 保存打印设置信息

**请求URL:** print/setting/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存打印设置信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
printMax|Integer|是|允许打印最高次数
hideList|array|是|隐藏目录id
showList|array|是|显示目录id
**请求样例:**
```
  {
    "hideList": [],
    "showList": [],
    "printMax": 0   
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;hideList|array|待展示目录
&emsp;showList|array|展示目录
&emsp;printMax|Integer|允许打印最高次数
dict|object|字典对象

**响应消息样例:**
```
{
    "data": {
        "hideList": [],
        "showList": [],
        "printMax": 0
    },
    "code": 1,
    "msg": "打印设置成功",
    "dict": null
}
```

### 终端查询待打印文件

**请求URL:** print/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存打印设置信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
idCard|String|是|身份证号码
classifyId|Long|是|分类id
**请求样例:**
```
  {
    "idCard": "12345678",
    "classifyId": 0   
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
dict|object|字典对象

**响应消息样例:**
```
{
    "data": {
        "hideList": [],
        "showList": [],
        "printMax": 0
    },
    "code": 1,
    "msg": "打印设置成功",
    "dict": null
}
```
### 终端提交打印结果

**请求URL:** print/log

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存打印结果

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
waitQueueId|Long|是|打印列表id
printStatus|Integer|是|打印结果1成功-1失败
statusRemark|String|否|结果描述
**请求样例:**
```
  {
    "waitQueueId": 1,
    "printStatus": -1,
    "statusRemark":"错误测试"
}

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
dict|object|字典对象

**响应消息样例:**
```
{
    "data": {},
    "code": 1,
    "msg": "保存打印记录成功",
    "dict": null
}
```
## 字典附录
